<template>
  <view>
    <uv-form-item
      :labelWidth="100"
      :label="item?.taskFiledValue"
      :borderBottom="false"
      labelPosition="left"
      :required="item?.isMustfill == '1'"
    >
      <uv-input
        v-model="propsMessage"
        :disabled="disabled"
        clearable
        :maxlength="item?.taskFiledMaxsize"
        input-align="right"
        :placeholder="`请填写${item?.taskFiledValue}`"
        border="none"
      />
    </uv-form-item>
  </view>
</template>

<script setup lang="ts">
import { computed } from 'vue'
const emmits = defineEmits(['update:inputValue'])

let props = defineProps({
  item: Object,
  index: Number,
  inputValue: String,
  disabled: Boolean
})

const propsMessage = computed({
  get: () => {
    return props.inputValue
  },
  set: (val) => {
    emmits('update:inputValue', val)
  }
})
</script>

<style lang="scss" scoped></style>
